# TdApi.MessageAnimation (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageAnimation

Package it.tdlight.jni

# Class TdApi.MessageAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageAnimation

Enclosing class:
  TdApi

    public static class TdApi.MessageAnimation
    extends TdApi.MessageContent

An animation message (GIF-style).

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.Animation` | `animation` | The animation description.
`TdApi.FormattedText` | `caption` | Animation caption.
`static int` | `CONSTRUCTOR` |
`boolean` | `isSecret` | True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageAnimation()` | An animation message (GIF-style).
`MessageAnimation​(TdApi.Animation animation, TdApi.FormattedText caption, boolean isSecret)` | An animation message (GIF-style).
`MessageAnimation​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### animation

public TdApi.Animation animation
The animation description.

### caption

public TdApi.FormattedText caption
Animation caption.

### isSecret

public boolean isSecret
True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageAnimation

public MessageAnimation()
An animation message (GIF-style).

### MessageAnimation

public MessageAnimation​(TdApi.Animation animation, TdApi.FormattedText caption, boolean isSecret)
An animation message (GIF-style).

Parameters:
  `animation` - Animation The animation description.
  `caption` - FormattedText Animation caption.
  `isSecret` - boolean True, if the animation thumbnail must be blurred and the animation must be shown only while tapped.

### MessageAnimation

public MessageAnimation​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`